# Fulla

Fulla è uno strumento per linea di comando distribuito con hugin a partire dalla versione 0.6. È utile per la correzione di gruppo di:

aberrazione cromatica
  Vedere l'esempio riportato nella sezione dei collegament esterni.
distorsione dell'obiettivo
  La distorsione a barilotto o a cuscinetto, può essere corretta utilizzando gli stessi parametri a, b, c e d utilizzati da altri programmi basati sui Panorama Tools.
vignettatura
  Correzione polinomiale per divisione addizione o immagini appiattite. Hugin è dotato di un calcolatore di vignettatura che utilizza una serie di fotografie che si sovrappongono per determinare la funzione polinomiale più adatta alla correzione dei problemi di vignettatura.

Fulla è in grado di elaborare le medesime tipologie di immagini di nona, compresi i TIFF a 8 e 16 bit e i dati TIFF delle immagini HDR a 32 bit in virgola mobile.

## Utilizzo da linea di comando

     Utilizzo: fulla [opzioni] file di input
      le opzioni sono:
         -g a:b:c:d       coefficiente di distorsione radiale per tutti i canali (a, b, c, d)
         -b a:b:c:d       coefficienti di distorsione radiale per il canale blu (a, b, c, d);
                           sono applicati successivamente ai coefficienti di correzione della distorsione -g,
                           da utilizzare per la correzione della TCA
         -r a:b:c:d       coefficienti di distorsione radiale per il canale rosso, (a, b, c, d)
                           sono applicati successivamente ai coefficienti di correzione della distorsione -g,
                           da utilizzare per la correzione della TCA
         -p               cerca di leggere coefficienti di distorsione radiale per il canale verde
                            dal database di PTLens
         -m Canon         costruttore della fotocamera, per l'interrogazione del database di PTLens
         -n fotocamera     modello fotocamera, per l'interrogazione del database di PTLens
         -l obiettivo     nome dell'obiettivo, per l'interrogazione del database di PTLens;
                           se non specificato, è visualizzata una lista di possibili obiettivi
         -d 50            indica la lunghezza focale in mm, per l'interrogazione del database di PTLens
         -s               non ridimensionare l'immagine per evitare i bordi neri
         -f nomefile      correzione della vignettatura utilizzando la divisione del flatfield
                           I = I / c,    c = flatfield / media(flatfield)
         -c a:b:c:d       correzione radiale della vignettatura per divisione:
                           I = I / c,    c = a + b*r^2 + c*r^4 + d*r^6
         -a               correzione della vignettatura per addizione, invece che per divisione
                           I = I + c
         -i valore        valore della gamma per i dati in ingresso. Utilizzato per la correzione della gamma prima
                           e dopo la correzione flatfield
         -t n             Numero di processori da utilizzare durante il processo
         -h               Visualizza l'aiuto (questo testo)
         -o nome          imposta il nome del file di output. Se è fornita più di una immagine, il nome
                           verrà utilizzato come suffisso (suffisso predefinito: _corr)
         -v               prolisso

## Utilizzo per l'elaborazione in serie in ambiente Windows

Una volta che sono stati calcolati i parametri di fulla con il metodo descritto più sopra, si può creare un droplet per correggere in serie delle foto:

- creare una scorciatoia al file fulla.exe trascinando l'icona di fulla in un'altra directory in Windows explorer;
- modificare le proprietà;
- modificare la destinazione in modo da comprendere i parametri di correzione:

     "C:\Programmi\hugin\fulla.exe" -r 0:0:0.00056:1.00015 -b 0:0:-0.00026:1.0011 -c 1:0.20:-0.51:0.2

- assegnare un nome descrittivo alla scorciatoia; per esempio fulla-peleng
- ora è possibile correggere le fotografia semplicemente trascinandole e rilasciandole sull'icona appena creata.

Un ulteriore sviluppo dell'esempio precedente, consiste nel creare un file "batch" nella directory di hugin chiamato "fulla.bat" e contenente la riga:

    FOR %%I IN (%1) DO C:\Programmi\hugin\fulla.exe -p -v -l Standard %%1

Nell'ipotesi che il nome dell'obiettivo nel database di PTLens (vedere più sotto) sia "Standard" (com'è per la maggior parte). Ora, è possibile richiamare questo file da qualsiasi directory contenente delle immagini utilizzando il comando: "C:\Program Files\hugin\fulla.bat *.jpg". In questo modo fulla correggerà tutte le fotografie utilizzando i parametri recuperati dal database di PTLens descritto più sotto (è importante non tralasciare di impostare la variabile PTLENS_PROFILE)

## Ricerca delle informazioni dal database di PTLens

fulla ricercherà le informazioni relative alla propria fotocamera nel database di PTLens e tenterà di determinare automaticamente i parametri di correzione dell'obiettivo per le proprie immagini. È richiesta una vecchia versione gratuita del database che può essere scaricata da sourceforge (consultare la sezione sui collegamenti esterni).

Utilizzare la variabile di sistema PTLENS_PROFILE per specificare la posizione del database di PTLens, per esempio su Linux o OS X:

     PTLENS_PROFILE=$HOME/.ptlens/profile.txt

Su Windows, il seguente comando dovrebbe funzionare per una installazione standard di PTLens:

     set PTLENS_PROFILE=%ProgramFiles%\PTLens\profile.txt

altrimenti si inserisca il percorso corretto.

## Collegamenti esterni

- Correzione della TCA con hugin e fulla
- download del database di PTLens

Tratto e tradotto da "http://wiki.panotools.org/Fulla"